package org.jeecg.modules.homePage.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.jeecg.modules.homePage.face.HomePageFace;
import org.jeecg.modules.homePage.vo.ToDoVO;
import org.jeecg.modules.subwayNetwork.vo.SectionStationNode;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 首页 前端控制器
 * </p>
 *
 * @author hkl
 * @since 2023-09-25 16:45:26
 */
@RestController
@RequestMapping("/homePage")
@Api(tags = "首页")
public class HomePageController {

    @Resource
    private HomePageFace homePageFace;

    @AutoLog(value = "首页-获取线路下面所有的(区间-站点)树")
    @ApiOperation(value = "首页-获取线路下面所有的(区间-站点)树", notes = "首页-获取线路下面所有的(区间-站点)树")
    @GetMapping(value = "/getTree")
    public Result<List<SectionStationNode>> getTree() {
        return Result.OK(homePageFace.getTree());
    }




    @AutoLog(value = "首页-代办列表")
    @ApiOperation(value = "首页-代办列表", notes = "首页-代办列表")
    @GetMapping(value = "/todoList")
    public Result<ToDoVO> todoList() {

        ToDoVO x = homePageFace.todoList();
        return Result.OK(x);
    }



}
