package org.jeecg.modules.homePage.face.impl;

import org.jeecg.modules.checkData.service.IMovementRecordsMasterService;
import org.jeecg.modules.dynamicStaticAnalysis.service.IAnalysisBatchService;
import org.jeecg.modules.homePage.face.HomePageFace;
import org.jeecg.modules.homePage.vo.ToDoDetailVO;
import org.jeecg.modules.homePage.vo.ToDoVO;
import org.jeecg.modules.maintenanceWork.service.IWorkBatchService;
import org.jeecg.modules.subwayNetwork.service.ILightRailService;
import org.jeecg.modules.subwayNetwork.vo.SectionStationNode;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class HomePageFaceImpl implements HomePageFace {


    @Resource
    private ILightRailService lightRailService;

    @Resource
    private IMovementRecordsMasterService movementRecordsMasterService;

    @Resource
    private IAnalysisBatchService analysisBatchService;

    @Resource
    private IWorkBatchService workBatchService;


    @Override
    public List<SectionStationNode> getTree() {
        return lightRailService.getTree();
    }


    @Override
    public ToDoVO todoList() {
        String currentUserId = null;
        ToDoVO vo = new ToDoVO();

        // 1.查询检查未使用的检查批次
        List<ToDoDetailVO> checkBatchList = movementRecordsMasterService.getTodoList(currentUserId);
        vo.setCheckBatchList(checkBatchList);


        // 2.查询未派工的分析批次
        List<ToDoDetailVO> analysisBatchList = analysisBatchService.getTodoList(currentUserId);
        vo.setAnalysisBatchList(analysisBatchList);


        // 3.查询作业状态未完成的维修派工批次
        List<ToDoDetailVO> workBatchList = workBatchService.getTodoList(currentUserId);
        vo.setWorkBatchList(workBatchList);
        return vo;
    }
}
